Page MenuHomePhabricator

Composer version 1.3.0 causes a "Undefined index: hash" in includes/libs/composer/ComposerLock.php on line 19
Closed, DeclinedPublic

Description

Composer version 1.3.0 2016-12-24 00:47:03 fails in [0] with:

Distributor ID:	Ubuntu
Description:	Ubuntu 12.04.5 LTS
Release:	12.04
Codename:	precise
PHP 5.6.29 (cli) (built: Dec 21 2016 13:11:01) 

PHP Notice:  Undefined index: hash in /home/travis/build/SemanticMediaWiki/mw/includes/libs/composer/ComposerLock.php on line 19
PHP Stack trace:
PHP   1. {main}() /home/travis/build/SemanticMediaWiki/mw/maintenance/update.php:0
PHP   2. require_once() /home/travis/build/SemanticMediaWiki/mw/maintenance/update.php:214
PHP   3. UpdateMediaWiki->execute() /home/travis/build/SemanticMediaWiki/mw/maintenance/doMaintenance.php:103
PHP   4. CheckComposerLockUpToDate->execute() /home/travis/build/SemanticMediaWiki/mw/maintenance/update.php:133
PHP   5. ComposerLock->getHash() /home/travis/build/SemanticMediaWiki/mw/maintenance/checkComposerLockUpToDate.php:33

Notice: Undefined index: hash in /home/travis/build/SemanticMediaWiki/mw/includes/libs/composer/ComposerLock.php on line 19

Call Stack:
    0.0005     292720   1. {main}() /home/travis/build/SemanticMediaWiki/mw/maintenance/update.php:0
    0.0026     688136   2. require_once('/home/travis/build/SemanticMediaWiki/mw/maintenance/doMaintenance.php') /home/travis/build/SemanticMediaWiki/mw/maintenance/update.php:214
    0.0994   15641496   3. UpdateMediaWiki->execute() /home/travis/build/SemanticMediaWiki/mw/maintenance/doMaintenance.php:103
    0.1042   16414944   4. CheckComposerLockUpToDate->execute() /home/travis/build/SemanticMediaWiki/mw/maintenance/update.php:133
    0.1069   17022448   5. ComposerLock->getHash() /home/travis/build/SemanticMediaWiki/mw/maintenance/checkComposerLockUpToDate.php:33

Most likely related to a Composer 1.3.0 change that notes "Removed hash from composer.lock, only content-hash is now used which should reduce conflicts" [1].

[0] https://travis-ci.org/SemanticMediaWiki/SemanticMediaWiki/jobs/187525091
[1] https://github.com/composer/composer/releases/tag/1.3.0

Details

Related Gerrit Patches:
mediawiki/vendor : masterRemove hash from composer.lock

Event Timeline

mwjames created this task.Dec 31 2016, 1:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 31 2016, 1:36 AM
Paladox removed a subscriber: Paladox.

Change 329726 had a related patch set (by Paladox) published:
Remove hash from composer.lock

https://gerrit.wikimedia.org/r/329726

Legoktm closed this task as Declined.Dec 31 2016, 6:46 AM

REL1_26 is EOL and no longer supported. This bug was already fixed in 1.27 (but maybe not in a proper release yet?) and 1.28 with https://gerrit.wikimedia.org/r/#/c/316243/

Change 329726 abandoned by Paladox:
Remove hash from composer.lock

https://gerrit.wikimedia.org/r/329726